ppd_find_choice(3)

NAME
ppd_find_choice, ppd_find_marked_choice, ppd_find_option_by_keyword - set of functions for returning pointers to choices from PPD files.

SYNOPSIS
#include <ppd.h>

PpdChoice *ppd_find_choice (PpdOption *o, const char *choice);

PpdChoice *ppd_find_marked_choice (PpdFile *ppd, const char *keyword);

PpdOption *ppd_find_option_by_keyword (PpdFile *ppd, const char *keyword);

DESCRIPTION
These three functions allow the programmer access options and choices within a PPD file.

  PpdChoice *ppd_find_choice (PpdOption *o, const char *choice);
This function accepts two parameters. The first is a pointer to a PPD option structure and the second is the name of the choice to locate.

  PpdChoice *ppd_find_marked_choice (PpdFile *ppd, const char *keyword);
This function accepts a valid PpdFile pointer (see ppd_file_new(3)) and a keyword or option name to locate in the PPD file.

  PpdOption *ppd_find_option_by_keyword (PpdFile *ppd, const char *keyword);
This function accepts two parameters which are identical to those used when invoking the ppd_find_marked_choice() function. However, the ppd_find_option_by_keyword() function does not mark the designated option as being selected.

RETURN VALUE

ppd_find_choice()
    Return a pointer to an option choice; NULL in the case of a failure

ppd_find_marked_choice()
    Return the marked choice for the specified option; NULL in the case of a failure

ppd_find_option_by_keyword()
    Return a pointer to the specified option; NULL in the case of a failure

SEE ALSO
ppd_file_new(3), ppd_emit_to_file(3), ppd_file_free(3), ppd_get_num_conflicts(3), ppd_check_option_is_marked(3), ppd_get_page_length(3)

AUTHOR
This man page was written by Gerald Carter <gcarter@valinux.com>. It was updated by Mark Fasheh <mfasheh@valinux.com> to reflect changes in libppd 0.5 Some of the code for these functions was originally part of the Common UNIX Printing System (CUPS).